<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.configurazione.home.title">Configuraziones</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-configurazione" [routerLink]="['/configurazione/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.configurazione.home.createLabel">
            Create a new Configurazione
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="configuraziones?.length === 0">
        <span jhiTranslate="shoppingonlineApp.configurazione.home.notFound">No configuraziones found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="configuraziones && configuraziones.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.configurazione.tipologia">Tipologia</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.configurazione.catalogo">Catalogo</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let configurazione of configuraziones ;trackBy: trackId">
                    <td><a [routerLink]="['/configurazione', configurazione.id, 'view']">{{ configurazione.id }}</a></td>
                    <td>{{ configurazione.tipologia }}</td>
                    <td>
                        <div *ngIf="configurazione.catalogo">
                            <a [routerLink]="['/catalogo', configurazione.catalogo?.id, 'view']" >{{ configurazione.catalogo?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/configurazione', configurazione.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/configurazione', configurazione.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(configurazione)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
